Update issue

Running "garuda-xfce-lite-200901-linux-zen" in Virtual box, everything was perfect until yesterday.
now when I try to update I get :failed to run transition hooks error, What should I do?

Is it the same as this?

close I ran the "sudo rm /etc/pacman.d/hooks/pamac.hook sudo pacman -Sy garuda-hooks" and got "rm: invalid option -- 'S'" "Error: hook /etc/pacman.d/hooks/pamac.hook line 10: invalid value /bin/sh -c "zcat /usr/share/app-info/xmls/community.xml.gz | sed 's|||g;s|</em>||g;' | gzip > "new.xml.gz" I have tryed pacman -su andcpacman-syu. python-gobject and pygobject-devel are in conflict

That shouldn't have been one command. Please make sure you read things closely before typing and running commands from the Web:


4 Likes

part of my reply disappeared. I have tryed pacman -su and pacman-syu
python-gobject and pygobject-devel are in conflicy

You can replace one with the other. If you post the full output (as text) someone will be able to give more specific help rather than guess.

Thanks jonathon, I am a horrible typist, so I usually copy and paste into the command line. I usually don't use the command line at all. "If you post the full output (as text) someone will be able to give more specific help rather than guess." i thought that would be to big. It is working now. I'm not sure how I broke it.` I tried replacing it and I tried keeping the old one both. Thanks again.

2 Likes

Same thing - even if you're copying and pasting from a page make sure you read it first. :wink:

2 Likes